Page MenuHomePhabricator

Translation: Split Flow's en.json into wgMessagesDirs groups for ease of translating the most important bits
Closed, ResolvedPublic1 Story Points

Description

<quiddity> Danny and I have have been worrying/wondering... Is there anything we could do to split apart the most important translations in translatewiki (en.json) ? We have ~500 strings to translate there, and that's quite intimidatingly large a task, especially for smaller languages with only a few active multilingual editors... E.g. it looks like there are 100 strings for the API documentation, which is awesome, but not a priority for [tiny language example]...
<superm401> yeah, we can setup multiple groups.
<superm401> check out https://git.wikimedia.org/blob/mediawiki%2Fextensions%2FWikimediaMessages.git/75dd364d5d8b89127d931dfada7d656167d26a29/WikimediaMessages.php#L24
<superm401> It corresponds to groups in the TranslateWiki.net interface (https://translatewiki.net/w/i.php?title=Special%3AMessageGroupStats)
<superm401> E.g. there is a Wikimedia Overrides group, which is one of those.
<quiddity> perfect. thanks!
<superm401> we could also probably mark the API param translations optional..
(see https://translatewiki.net/wiki/FAQ#Optional_messages:_messages_rarely_need_to_be_translated )

Event Timeline

Quiddity raised the priority of this task from to Needs Triage.
Quiddity updated the task description. (Show Details)
Quiddity added a subscriber: Quiddity.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 19 2015, 12:44 AM
EBernhardson triaged this task as High priority.Mar 19 2015, 5:40 PM
EBernhardson added a subscriber: EBernhardson.
DannyH renamed this task from Split Flow's en.json into wgMessagesDirs groups for ease of translating the most important bits to Translation: Split Flow's en.json into wgMessagesDirs groups for ease of translating the most important bits.Mar 19 2015, 5:43 PM
DannyH set Security to None.
DannyH edited a custom field.Mar 30 2015, 6:54 PM
Legoktm added a subscriber: Nemo_bis.

Change 289064 had a related patch set uploaded (by Mattflaschen):
Move apihelp to a separate file

https://gerrit.wikimedia.org/r/289064

Nemo_bis removed a subscriber: Nemo_bis.May 22 2016, 5:53 AM
Nemo_bis closed this task as Resolved.May 24 2016, 3:02 PM
Nemo_bis assigned this task to Amire80.